<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Fonctions de paquetage</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacemembers.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Liste de tous les membres des espaces de nommage avec des liens vers la documentation de namespace de chaque membre :</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>access
: <a class="el" href="namespacesrc_1_1mainWindow.html#a2ed2b78355f06891c75a93b176b273f6">src.mainWindow</a>
</li>
<li>activeThreads
: <a class="el" href="namespacesrc_1_1mainWindow.html#ae62c35a7be3d7d4734788727fe4f736d">src.mainWindow</a>
</li>
<li>app
: <a class="el" href="namespacesrc_1_1choixEleves.html#ab48d3a8731595187e8ab953c4adfc5d8">src.choixEleves</a>
, <a class="el" href="namespacesrc_1_1copyToDialog1.html#aa7ff3deddbedb5364ec083c3c60f6891">src.copyToDialog1</a>
, <a class="el" href="namespacesrc_1_1ownedUsbDisk.html#a001687eb7179eb415a457dd46e89246e">src.ownedUsbDisk</a>
, <a class="el" href="namespacesrc_1_1usbDisk2.html#abca0b8bcb24bdfb2b8443a7ddeb36254">src.usbDisk2</a>
</li>
<li>available
: <a class="el" href="namespacesrc_1_1mainWindow.html#a65013dd608fe83ccd99b8d26e8ac1e20">src.mainWindow</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>button()
: <a class="el" href="namespacesrc_1_1debug.html#af7c0d678db3ff9451a6706e3c94a1527">src.debug</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CheckBoxRect()
: <a class="el" href="namespacesrc_1_1mainWindow.html#ae034587968568575779f6e856114f0c9">src.mainWindow</a>
</li>
<li>checkVersion()
: <a class="el" href="namespacesrc_1_1db.html#ada90bce10163107c35dd61955edf9307">src.db</a>
</li>
<li>cursor
: <a class="el" href="namespacesrc_1_1db.html#a23dd9ed4abbc2dcd952158347944fe39">src.db</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>d
: <a class="el" href="namespacesrc_1_1choixEleves.html#acd18fec06e6eb5b54af354db8217a139">src.choixEleves</a>
</li>
<li>database
: <a class="el" href="namespacesrc_1_1db.html#a11a7f300f3f10c0ab24cf7b95cc4e5b2">src.db</a>
</li>
<li>debug
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a9df1fdfc2e7c6f4893a1566c4db759a3">src.usbDisk2</a>
</li>
<li>dependances
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a6888ffacbe946e7676339f7fc3696912">src.usbDisk2</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>editRecord()
: <a class="el" href="namespacesrc_1_1ownedUsbDisk.html#aeb4a87ad9154577da326f4844a97874b">src.ownedUsbDisk</a>
</li>
<li>ensureDirExists()
: <a class="el" href="namespacesrc_1_1usbThread.html#a4c629171bff656efaddeb34a513e1299">src.usbThread</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>files
: <a class="el" href="namespacesrc_1_1test3.html#a508d8c2c1f4a92f7aefc0f123765648a">src.test3</a>
</li>
<li>firstdir()
: <a class="el" href="namespacesrc_1_1globaldef.html#a95f0c2e1eb3d7528aefb65bff692331d">src.globaldef</a>
</li>
<li>fs_size()
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a124088b557ce86499f2bbb50a54df3de">src.usbDisk2</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>hasStudent()
: <a class="el" href="namespacesrc_1_1db.html#a4cce1a7772d666bb9c52a2d4ba22c9cd">src.db</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>i
: <a class="el" href="namespacesrc_1_1choixEleves.html#ac79a37121416e3db39346206b67f7e53">src.choixEleves</a>
</li>
<li>inspectData()
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a40f49ea9cccdda381360944bb4694c67">src.usbDisk2</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>knowsId()
: <a class="el" href="namespacesrc_1_1db.html#a708cc3325644f79a8da6817cf131e3e8">src.db</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>lastCommand
: <a class="el" href="namespacesrc_1_1mainWindow.html#ac2f9106c57f31f70e53af93e3c56b3f8">src.mainWindow</a>
</li>
<li>level
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a2e93b1fb0e3ca6307812e8f464814155">src.usbDisk2</a>
</li>
<li>licence
: <a class="el" href="namespacesrc_1_1choixEleves.html#a831c9c341f583d84d662b9ebc7384f00">src.choixEleves</a>
, <a class="el" href="namespacesrc_1_1db.html#aa073cf63c80489da19924aaa911726f3">src.db</a>
, <a class="el" href="namespacesrc_1_1debug.html#a82b7810e5010ac629c7d2bd9ee63257c">src.debug</a>
, <a class="el" href="namespacesrc_1_1diskFull.html#a44c1bb71404fc8226dc7170b6282c905">src.diskFull</a>
, <a class="el" href="namespacesrc_1_1gestClasse.html#a8688366ff0cdd6b6ebfcc2c9f76230ef">src.gestClasse</a>
, <a class="el" href="namespacesrc_1_1gestclassetreeview.html#a3b55c09ba96bb7da52af65ddab14328e">src.gestclassetreeview</a>
, <a class="el" href="namespacesrc_1_1help.html#aef5fa74a82035edc3b8e88839a5d7eaa">src.help</a>
, <a class="el" href="namespacesrc_1_1mainWindow.html#a7c1c5829d4caf3120f11b4a33dc7e2ad">src.mainWindow</a>
, <a class="el" href="namespacesrc_1_1mytextbrowser.html#a0e8bfe56edce7a76e83d8ec984c68493">src.mytextbrowser</a>
, <a class="el" href="namespacesrc_1_1nameAdrive.html#a572adb06aae8d3f1a22f87236fb9dfde">src.nameAdrive</a>
, <a class="el" href="namespacesrc_1_1notification.html#ad7817a63201d275431130bafd5d53821">src.notification</a>
, <a class="el" href="namespacesrc_1_1ownedUsbDisk.html#aa5949b3c88fb64981b6d67bfffa970a2">src.ownedUsbDisk</a>
, <a class="el" href="namespacesrc_1_1preferences.html#aa717e0a605e73d902ed3eab36c67cb06">src.preferences</a>
, <a class="el" href="namespacesrc_1_1scolasync.html#a2c82f7c5273cec46d491c94189ab7b86">src.scolasync</a>
, <a class="el" href="namespacesrc_1_1sconet.html#a3a83dbdc905a22ea01f9cef00fff3b04">src.sconet</a>
, <a class="el" href="namespacesrc_1_1usbDisk2.html#a535b2d454752927e5e0498f83f699f42">src.usbDisk2</a>
, <a class="el" href="namespacesrc_1_1version.html#a5f7dfb63f825faf9cc54f2a11e964b26">src.version</a>
</li>
<li>licence_en
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a73d793d56af8fd2191b58cdbc239419d">src.usbDisk2</a>
</li>
<li>licenceEn
: <a class="el" href="namespacesrc_1_1checkBoxDialog.html#acac7f880e63599b3496c7a33361d4553">src.checkBoxDialog</a>
, <a class="el" href="namespacesrc_1_1chooseInSticks.html#ae26268cac1abb89feccf354e0a33511d">src.chooseInSticks</a>
, <a class="el" href="namespacesrc_1_1copyToDialog1.html#a304e636e6ccd21d3a0963bb2b55f9cff">src.copyToDialog1</a>
, <a class="el" href="namespacesrc_1_1debug.html#a7ac2cc3c173ba7d9c70799495184bde3">src.debug</a>
, <a class="el" href="namespacesrc_1_1globaldef.html#affd15a7a8689c06a866fe8086a38a1d5">src.globaldef</a>
, <a class="el" href="namespacesrc_1_1scolasync.html#a53c6b43c8a709f1c4d9896859be916be">src.scolasync</a>
, <a class="el" href="namespacesrc_1_1usbThread.html#a4677c6916331c3d3792fb0a2b9e862ab">src.usbThread</a>
</li>
<li>licenceFr
: <a class="el" href="namespacesrc_1_1debug.html#ac854c6e1370ae474faa44c5645f8bb22">src.debug</a>
, <a class="el" href="namespacesrc_1_1scolasync.html#aef31baae7dff50e94d7a8d37c6d870ab">src.scolasync</a>
</li>
<li>listePartitionsCochees()
: <a class="el" href="namespacesrc_1_1debug.html#a86f164e765807a05ed1b5dd40cbb9bfa">src.debug</a>
</li>
<li>logFileName
: <a class="el" href="namespacesrc_1_1globaldef.html#a42a0aebf3f6c40da3e92bf48524d18ef">src.globaldef</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>machin
: <a class="el" href="namespacesrc_1_1ownedUsbDisk.html#ad047dcd57d27f543870f7003034b961b">src.ownedUsbDisk</a>
, <a class="el" href="namespacesrc_1_1usbDisk2.html#ac2e9157315de37a948920b8ad2acd1ea">src.usbDisk2</a>
</li>
<li>main
: <a class="el" href="namespacesrc_1_1ownedUsbDisk.html#a6952ae302b2cdd98199228135684c240">src.ownedUsbDisk</a>
, <a class="el" href="namespacesrc_1_1usbDisk2.html#a35e8cb05f48405cf17cba03217677439">src.usbDisk2</a>
</li>
<li>major()
: <a class="el" href="namespacesrc_1_1version.html#a5a885818c982207263df9c86e7ceedcd">src.version</a>
</li>
<li>markFileName
: <a class="el" href="namespacesrc_1_1globaldef.html#ac92318fee8f2b4336c4887be6e4bf52b">src.globaldef</a>
</li>
<li>minor()
: <a class="el" href="namespacesrc_1_1version.html#a0640608dc206878b7bd9e551c81ae397">src.version</a>
</li>
<li>module
: <a class="el" href="namespacesrc_1_1test3.html#af7fcfbb965923d97a76b9a33b5ece7a6">src.test3</a>
</li>
<li>moduleName
: <a class="el" href="namespacesrc_1_1test3.html#a91815fcf72debbfa42813b9e4c7e9437">src.test3</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>no_options
: <a class="el" href="namespacesrc_1_1usbDisk2.html#ad2c8a01e0625293a29146b0dcbed4a39">src.usbDisk2</a>
</li>
<li>not_interesting
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a83c9a8fbdb41f52508949686d997cddc">src.usbDisk2</a>
</li>
<li>notif
: <a class="el" href="namespacesrc_1_1notification.html#aafcedf399a785897330b119ec1beea42">src.notification</a>
</li>
<li>notsafe
: <a class="el" href="namespacesrc_1_1test3.html#a2a2921a59c7ebb8594e831cf21fca998">src.test3</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>openDb()
: <a class="el" href="namespacesrc_1_1db.html#a0df14ce45b703f8486dc9205ac9246ad">src.db</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>pastCommands
: <a class="el" href="namespacesrc_1_1mainWindow.html#ac36f315b987717d7c8b267bf8aaf0834">src.mainWindow</a>
</li>
<li>pattern
: <a class="el" href="namespacesrc_1_1test3.html#ad0cf60e93d81f95ca96bcb249e012c1c">src.test3</a>
</li>
<li>print_targets_if_modif()
: <a class="el" href="namespacesrc_1_1ownedUsbDisk.html#afaff14ed519b0d988d1ac64797748dfa">src.ownedUsbDisk</a>
, <a class="el" href="namespacesrc_1_1usbDisk2.html#a9b785d4df1b354b96fff6351c4d228b9">src.usbDisk2</a>
</li>
<li>python3safe
: <a class="el" href="namespacesrc_1_1test3.html#a45b0ce1f94d926ec2a8ee76b8af9fd23">src.test3</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>readPrefs()
: <a class="el" href="namespacesrc_1_1db.html#a1a44074f833d8283643343b09cff02b6">src.db</a>
</li>
<li>readStudent()
: <a class="el" href="namespacesrc_1_1db.html#a9afc0ee6dce3ce82783bb0aaa349532f">src.db</a>
</li>
<li>registerCmd()
: <a class="el" href="namespacesrc_1_1mainWindow.html#acd2ba9ca7936a8edd8a2d8e594813a17">src.mainWindow</a>
</li>
<li>run()
: <a class="el" href="namespacesrc_1_1scolasync.html#a713fcbac337fdc080fadf8fa3a349a00">src.scolasync</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>s
: <a class="el" href="namespacesrc_1_1sconet.html#a6bafa5a7d32fb178513601a09a7ec50d">src.sconet</a>
</li>
<li>safe
: <a class="el" href="namespacesrc_1_1test3.html#ac714048be8fa4aa5872efdf2eed083ee">src.test3</a>
</li>
<li>safePath()
: <a class="el" href="namespacesrc_1_1usbDisk2.html#a1cc978f0b36fc7a494c61860e5cd2a3a">src.usbDisk2</a>
</li>
<li>sceneWithUsage()
: <a class="el" href="namespacesrc_1_1diskFull.html#a215d9e315842567c98e9fca397a54287">src.diskFull</a>
</li>
<li>setWd()
: <a class="el" href="namespacesrc_1_1db.html#ada6f363fccebc105cf7ca85bdb5eccdc">src.db</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>tattooInDir()
: <a class="el" href="namespacesrc_1_1ownedUsbDisk.html#a37de5850519fac8c502e9e9212f6ff74">src.ownedUsbDisk</a>
</li>
<li>tattooList()
: <a class="el" href="namespacesrc_1_1db.html#a2734729596ad4aa825ed66b97ddd7209">src.db</a>
</li>
<li>test_copy2()
: <a class="el" href="namespacesrc_1_1usbThread.html#a3bd88e8e51e220293b0ba29178dbbe9c">src.usbThread</a>
</li>
<li>test_copytree()
: <a class="el" href="namespacesrc_1_1usbThread.html#aedbb2e811d5c036de0da0d43463b5746">src.usbThread</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>userShareDir
: <a class="el" href="namespacesrc_1_1globaldef.html#a9216a03daf4b9ce787ea331fa39c64b3">src.globaldef</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>version()
: <a class="el" href="namespacesrc_1_1version.html#a5f818c7f2c8c1a797c355eee2ef09440">src.version</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>windows
: <a class="el" href="namespacesrc_1_1copyToDialog1.html#af5abbe15623c1e3303df4361cfc460c5">src.copyToDialog1</a>
</li>
<li>writePrefs()
: <a class="el" href="namespacesrc_1_1db.html#a6628948dc0e29baf0d368288dbb676be">src.db</a>
</li>
<li>writeStudent()
: <a class="el" href="namespacesrc_1_1db.html#ab88098a0a4df23901dffda6197968088">src.db</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
